Connect Domain
API referenceConnections

List/filter connections (cursor pagination)

GET
/connections
AuthorizationBearer <token>

API key: sk_test_… / sk_live_… (hashed at rest, scoped)

In: header

Query Parameters

state?string

The 12-state machine from data-model §3

Value in

  • "created"
  • "pending_ownership"
  • "verifying"
  • "verified"
  • "dns_writing"
  • "propagating"
  • "stalled"
  • "issuing_cert"
  • "live"
  • "drifted"
  • "failed"
  • "archived"
hostname?string
cursor?string
limit?integer
Rangevalue <= 100
Default20

Response Body

application/json

application/json

curl -X GET "https://example.com/connections"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "application_id": "48ac72d0-a829-4896-a067-dcb1c2b0f30c",      "hostname": "string",      "kind": "apex",      "setup_type": "automatic",      "state": "created",      "provider": "string",      "batch_id": "4da22c97-b7d5-4e31-8c3a-03870ebc7b20",      "error_code": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}
{  "error": {    "code": "string",    "message": "string",    "details": null  }}